MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/tokenizer.h File Reference

`#include <glib.h>`

Go to the source code of this file.

## Functions
char * | tokenizer_next_word (char **input_p, GError **error_r)
| Reads the next word from the input string.
char * | tokenizer_next_unquoted (char **input_p, GError **error_r)
| Reads the next unquoted word from the input string.
char * | tokenizer_next_string (char **input_p, GError **error_r)
| Reads the next quoted string from the input string.
char * | tokenizer_next_param (char **input_p, GError **error_r)
| Reads the next unquoted word or quoted string from the input.

## Function Documentation

char* tokenizer_next_param | ( | char ** | input_p,
|  | GError ** | error_r
| ) |  |

Reads the next unquoted word or quoted string from the input.

This is a wrapper for tokenizer_next_unquoted() and tokenizer_next_string().

Parameters:

  input_p | the input string; this function returns a pointer to the first non-whitespace character of the following token
  error_r | if this function returns NULL and **input_p!=0, it optionally provides a GError object in this argument

Returns:
  a pointer to the null-terminated string, or NULL on error or end of line

char* tokenizer_next_string | ( | char ** | input_p,
|  | GError ** | error_r
| ) |  |

Reads the next quoted string from the input string.

A backslash escapes the following character. This function modifies the input string.

Parameters:

  input_p | the input string; this function returns a pointer to the first non-whitespace character of the following token
  error_r | if this function returns NULL and **input_p!=0, it optionally provides a GError object in this argument

Returns:
  a pointer to the null-terminated string, or NULL on error or end of line

char* tokenizer_next_unquoted | ( | char ** | input_p,
|  | GError ** | error_r
| ) |  |

Reads the next unquoted word from the input string.

This function modifies the input string.

Parameters:

  input_p | the input string; this function returns a pointer to the first non-whitespace character of the following token
  error_r | if this function returns NULL and **input_p!=0, it optionally provides a GError object in this argument

Returns:
  a pointer to the null-terminated word, or NULL on error or end of line

char* tokenizer_next_word | ( | char ** | input_p,
|  | GError ** | error_r
| ) |  |

Reads the next word from the input string.

This function modifies the input string.

Parameters:

  input_p | the input string; this function returns a pointer to the first non-whitespace character of the following token
  error_r | if this function returns NULL and **input_p!=0, it optionally provides a GError object in this argument

Returns:
  a pointer to the null-terminated word, or NULL on error or end of line